#
# git clone https://github.com/emeryberger/Heap-Layers.git
# cd Heap-Layers
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git archive --format=tar --prefix=Heap-Layers-${DATE}/ master | xz > ../Heap-Layers-${DATE}.tar.xz
#

%define hdate 20221106

#
# git clone https://github.com/emeryberger/Hoard.git
# cd Hoard
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git archive --format=tar --prefix=Hoard-${DATE}/ master | xz > ../Hoard-${DATE}.tar.xz
#
%define gdate 20220407
%define rel 2

%define major 0
%define libname %mklibname hoard %{major}
%define develname %mklibname hoard -d

Summary:	The Hoard Memory Allocator
Name:		libhoard
Version:	3.13
Release:	%mkrel 1.git%{gdate}.%{rel}
Group:		System/Libraries
License:	GPL
URL:		http://www.hoard.org/
#Source0:	https://github.com/emeryberger/Hoard/archive/%{version}/%{name}-%{version}.tar.gz
Source0:	Hoard-%{gdate}.tar.xz
Source1:	Heap-Layers-%{hdate}.tar.xz
Patch1:		libhoard-3.13-mga-build.patch

%description
The Hoard memory allocator is a fast, scalable, and memory-efficient memory
allocator for Linux, Solaris, Mac OS X, and Windows. Hoard is a drop-in
replacement for malloc that can dramatically improve application performance,
especially for multithreaded programs running on multiprocessors and multicore
CPUs.

%package -n	%{libname}
Summary:	A fast, scalable, and memory-efficient memory allocator
Group:		System/Libraries

%description -n	%{libname}
The Hoard memory allocator is a fast, scalable, and memory-efficient memory
allocator for Linux, Solaris, Mac OS X, and Windows. Hoard is a drop-in
replacement for malloc that can dramatically improve application performance,
especially for multithreaded programs running on multiprocessors and multicore
CPUs.

%package -n	%{develname}
Summary:	Development files for libhoard
Group:		Development/C++
Requires:	%{libname} >= %{version}
Provides:	hoard-devel = %{version}

%description -n	%{develname}
This package contains development files for libhoard.

%prep
%setup -q -n Hoard-%{gdate} -a1
%autopatch -p1

pushd src
ln -s ../Heap-Layers-* Heap-Layers
popd

%build
export MGAFLAGS="%{optflags}"
%ifarch armv7hl x86_64 aarch64
export MGAFLAGS="$MGAFLAGS -fPIC"
%endif
export LDFLAGS="%{ldflags}"
%make_build -C src generic-gcc CXX=g++

%install
install -d %{buildroot}%{_libdir}
install -m0755 src/libhoard.so.%{major} %{buildroot}%{_libdir}
ln -s libhoard.so.%{major} %{buildroot}%{_libdir}/libhoard.so

%files -n %{libname}
%doc doc NEWS README.md THANKS
%{_libdir}/libhoard.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libhoard.so



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.13-1.git20220407.2.mga10
+ Revision: 2216540
- Mageia 10 Mass Rebuild

* Thu Nov 24 2022 ghibo <ghibo> 3.13-1.git20220407.1.mga9
+ Revision: 1910743
- Fix build (autobuild fail) by upgrading to release 3.13.
- Rework Patch0.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.12-1.git20180524.5.mga8
+ Revision: 1514157
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.12-1.git20180524.4.mga7
+ Revision: 1298906
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 3.12-1.git20180524.3.mga7
+ Revision: 1239172
- build with -fPIC on armv7hl

* Sat Jun 23 2018 wally <wally> 3.12-1.git20180524.2.mga7
+ Revision: 1239163
- fix build on arm and ix86
- update to latest git snapshot

* Fri Sep 15 2017 cjw <cjw> 3.9.0-7.mga7
+ Revision: 1153941
- patch2: use CFLAGS in Makefile to fix debug packages

* Fri Feb 05 2016 umeabot <umeabot> 3.9.0-6.mga6
+ Revision: 937874
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0-5.mga5
+ Revision: 749832
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0-4.mga5
+ Revision: 681522
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.9.0-3.mga4
+ Revision: 507066
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.9.0-2.mga3
+ Revision: 357461
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 oden <oden> 3.9.0-1.mga3
+ Revision: 297531
- imported package libhoard


* Tue Sep 25 2012 Oden Eriksson <oeriksson@mandriva.com> 3.9.0-1.mga2
- imported and adapted from Mandriva
